#
# Conditional build:
%bcond_without	aalib	# AAlib support
#
Summary:	Command-line frontend to libgphoto2
Summary(es.UTF-8):	Foto GNU (gphoto) Release 2
Summary(pl.UTF-8):	Działający z linii poleceń program obsługujący libgphoto2
Summary(pt_BR.UTF-8):	GNU Photo - programa GNU para câmeras digitais
Summary(zh_CN.UTF-8):	gPhoto - Linux下的使用数码相机的程序
Name:		gphoto2
Version:	2.5.28
Release:	1
License:	LGPL v2+
Group:		Applications/Graphics
Source0:	http://downloads.sourceforge.net/gphoto/%{name}-%{version}.tar.bz2
# Source0-md5:	e7b3c835c26e2a5e61cf0b95e19da507
Patch0:		%{name}-pl.po-update.patch
URL:		http://www.gphoto.org/
%{?with_aalib:BuildRequires:	aalib-devel}
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	cdk-devel >= 5.0_td20010421
BuildRequires:	gettext-tools >= 0.14.1
BuildRequires:	libexif-devel >= 1:0.6.9
BuildRequires:	libgphoto2-devel >= 2.5.17
BuildRequires:	libjpeg-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	popt-devel >= 1.6.1
BuildRequires:	readline-devel
Requires:	libexif >= 1:0.6.9
Requires:	libgphoto2 >= 2.5.17
Requires:	popt >= 1.6.1
Obsoletes:	gphoto2-progs < 2.1.1
# these are not true (renamed to libgphoto2-{devel,static}) - we must have
# the way to just rename package which is not required by anything installed
Obsoletes:	gphoto2-devel < 2.1.1
Obsoletes:	gphoto2-static < 2.1.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gphoto2 is a command-line frontend to libgphoto2.

%description -l pl.UTF-8
gphoto2 to działający z linii poleceń program będący interfejsem
użytkownika do libgphoto2.

%description -l pt_BR.UTF-8
O programa gphoto faz parte do projeto GNOME e é uma interface para
uma grande variedade de câmeras fotográficas digitais.

%prep
%setup -q
%patch0 -p1

%{__rm} po/stamp-po

%build
%{__libtoolize}
%{__aclocal} -I auto-m4 -I gphoto-m4
%{__autoconf}
%{__autoheader}
%{__automake}
CPPFLAGS="%{rpmcppflags} -I/usr/include/ncurses"
%configure \
	%{?with_aalib:--with-aalib}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/gphoto2
%{_mandir}/man1/gphoto2.1*
%changelog
* Tue Apr 05 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gphoto2.git;a=log;h=master

* Tue Apr 05 2022 Jakub Bogusz <qboosh@pld-linux.org> 345a93b
- updated to 2.5.28
- updated pl.po-update patch from TP
- removed obsolete automake-1.12,ac,cdk patches
- dropped manpage_addon patch

* Thu Oct 17 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 52d44cf
- release 3 (by relup.sh)

* Wed Jun 05 2019 Jakub Bogusz <qboosh@pld-linux.org> 377d0a8
- updated pl.po-update patch and libgphoto2 version; release 2

* Mon Jun 03 2019 Adam Gołębiowski <adamg@pld-linux.org> a9eb998
- updated to 2.5.23

* Sun Nov 04 2018 Adam Gołębiowski <adamg@pld-linux.org> 2884362
- updated to 2.5.20

* Sat Sep 01 2018 Jakub Bogusz <qboosh@pld-linux.org> bd51308
- updated to 2.5.17
- added pl.po-update patch

* Wed Feb 28 2018 Marcin Banasiak <marcin.banasiak@gmail.com> 91dc721
- Update to 2.5.15

* Wed Jul 19 2017 Jakub Bogusz <qboosh@pld-linux.org> c9d4074
- updated to 2.5.14
- added cdk patch (support default post-2012 cdk headers layout)

* Tue Oct 18 2016 Jan Rękorajski <baggins@pld-linux.org> 5238f14
- rebuild with readline 7.0
- release 2 (by relup.sh)

* Wed Mar 30 2016 Jakub Bogusz <qboosh@pld-linux.org> f5b0751
- updated to 2.5.10
- removed obsolete pl.po-update patch (translation is up to date in this release)

* Fri Nov 20 2015 Jakub Bogusz <qboosh@pld-linux.org> d5183b3
- updated to 2.5.9
- updated pl.po-update patch

* Wed Jul 15 2015 Jan Rękorajski <baggins@pld-linux.org> b01b1ec
- release 2 (by relup.sh)

* Thu Jul 09 2015 Jakub Bogusz <qboosh@pld-linux.org> d0fd062
- updated to 2.5.8
- updated manpage_addon,pl.po-update patches

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 2c14113
- updated gettext BR

* Thu Mar 27 2014 Jakub Bogusz <qboosh@pld-linux.org> f862093
- updated to 2.5.4
- added pl.po-update patch

* Sun Jan 26 2014 Jakub Bogusz <qboosh@pld-linux.org> 84ed8bb
- updated to 2.5.3
- removed obsolete pl.po-update patch

* Mon Jun 10 2013 Jakub Bogusz <qboosh@pld-linux.org> a70a303
- updated to 2.5.2
- updated pl.po-update patch (from TP)

* Mon Feb 04 2013 Jakub Bogusz <qboosh@pld-linux.org> 2685e8e
- updated to 2.5.1
- updated pl.po-update patch
- added ac patch (some recent autoconf/automake compatibility)

* Mon Jun 25 2012 Łukasz Kieś <kiesiu@pld-linux.org> a30a9cf
- mae it builds with automake 1.12

* Mon Jun 25 2012 Łukasz Kieś <kiesiu@pld-linux.org> 009941d
- gphoto2-am.patch already applied upstream
- use autocrap but patch configure.ac to build with automake 1.12

